# Uses of Class
it.tdlight.jni.TdApi.ChatMember

## Uses of TdApi.ChatMember in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatMember
Modifier and Type
Field
Description
`TdApi.ChatMember[]`
TdApi.BasicGroupFullInfo.`members`
Group members.
`TdApi.ChatMember[]`
TdApi.ChatMembers.`members`
A list of chat members.
`TdApi.ChatMember`
TdApi.UpdateChatMember.`newChatMember`
New chat member.
`TdApi.ChatMember`
TdApi.UpdateChatMember.`oldChatMember`
Previous chat member.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatMember
Modifier
Constructor
Description
``
`BasicGroupFullInfo(TdApi.ChatPhoto photo, String description, long creatorUserId, TdApi.ChatMember[] members, boolean canHideMembers, boolean canToggleAggressiveAntiSpam, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands)`
Contains full information about a basic group.
``
`ChatMembers(int totalCount, TdApi.ChatMember[] members)`
Contains a list of chat members.
``
`UpdateChatMember(long chatId, long actorUserId, int date, TdApi.ChatInviteLink inviteLink, boolean viaChatFolderInviteLink, TdApi.ChatMember oldChatMember, TdApi.ChatMember newChatMember)`
User rights changed in a chat; for bots only.